{
  config,
  lib,
  pkgs,
  catppuccin,
  users,
  ...
}:

{
  imports = [
    catppuccin.homeModules.catppuccin
  ];
}
// lib.mkIf (lib.elem "catppuccin" users."${config.home.username}".services) {
  catppuccin = {
    enable = true;
    flavor = "mocha";
  };

  home.packages = with pkgs; [
    (catppuccin-kvantum.override {
      accent = "blue";
      variant = "mocha";
    })
    libsForQt5.qtstyleplugin-kvantum
    libsForQt5.qt5ct
  ];

  qt = {
    enable = true;
    platformTheme.name = "kvantum";
    style.name = "kvantum";
  };

  # xdg.configFile."Kvantum/kvantum.kvconfig".source =
  #   (pkgs.formats.ini { }).generate "kvantum.kvconfig"
  #     {
  #       General.theme = "Catppuccin-Mocha-Blue";
  #     };

  # gtk
  gtk = {
    enable = true;
    iconTheme = {
      name = "SolArc-Dark";
      package = pkgs.solarc-gtk-theme;
    };
    theme = {
      name = "catppuccin-mocha-blue-standard+rimless";
      package = pkgs.catppuccin-gtk.override {
        accents = [ "blue" ];
        tweaks = [ "rimless" ];
        variant = "mocha";
      };
    };
  };

}
